#pragma once

#include "CoreMinimal.h"
#include "WingServer.h"
#include "WingHandler.h"
#include "WingTokenizer.h"
#include "Test_Tokenizer.generated.h"


// ---------------------------------------------------------------------------
// ---------------------------------------------------------------------------
// ---------------------------------------------------------------------------

UCLASS()
class UWing_Test_Tokenizer : public UWingHandler
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, meta=(Description="The string to tokenize"))
	FString Input;

	virtual void Register() override
	{
		UWingServer::AddHandler(this,
			TEXT("Test the tokenizer by tokenizing a string and printing the result."));
	}
	virtual void Handle() override
	{
		WingTokenizer T(Input);
		T.PrintEverything(UWingServer::GetPrintBuffer());
	}
};
